Kernel panic: VFS: unable to boot root fs on

Stacy Redmond stacy.redmond at overture.com
Thu Aug 7 23:24:01 CDT 2003


I have a few  Dell 2650's running linux, we have been running 2.4.28-5 
kernels and they have been relatively stable.  We see some kernel panics 
now and then, but up till now it has been ok.  I need to upgrade the 
kernel on all of our 2650's and 1650's.  I down loaded the vanilla 
2.4.20 kernel, and ran the highmem patch against it since some of our 
machines are running 4GB of memory.  To make a long story short I 
installed the 2.4.20 kernel on 3 2650's running linux software raid and 
they came up just fine and are running ok.  I installed the kernel on 1 
of my 2650's with PERC3di cards in them, and now I get the message in 
the subject line. The lines about the error start with
kmod: failed to exec /sbin/modprobe -s -k block-major-8, errno=2
VFS: Cannoto open root device "sda1" or 08:01
please append a correct "root=" boot option

Redhat 7.3
Dell Poweredge 2650
PERC3 di
4x36 internal disks in a raid 5 container
 
Attached is the .config file for my 2.4.20 kernel
Any help would be appreciated.
-------------- next part --------------
An embedded and charset-unspecified text was scrubbed...
Name: dot.config
Url: http://lists.us.dell.com/pipermail/linux-poweredge/attachments/20030807/1f730c98/dot.bat


More information about the Linux-PowerEdge mailing list